Skip to content

Cancel a scheduled payment - V1

PUT
/order/v1/banking/subscriptions/payments/{scheduledPaymentId}/cancel

Cancel a scheduled payment for an existing subscription.

scheduledPaymentId
required
string

The scheduled payment ID (UUID)

idempotency-key
required
string
object
accountId
required

Receiver account ID that owns subscription

string
Example
6636e479-9b46-4e3c-b946-1d61ed39edbf

The resource was returned successfully

object
id
required

The unique identifier of cancellation request

string
Example
9deff869-f5eb-460d-a72e-5f01d2a4c850
status
required

The status of cancellation request

string
Allowed values: INITIAL PENDING ACCEPTED REJECTED ERROR
Example
PENDING
endToEndId
required

The end-to-end identifier of cancellation request

string
Example
ceccd6b0-c409-4cf0-bec2-cf140d0f963c
object
error
string
Example
INVALID_REQUEST
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[
{
"field": "field_name",
"issue": "INVALID",
"description": "Field is invalid"
}
]

Unauthorized Request

object
error
string
Example
UNAUTHORIZED
message
string
Example
Unauthorized Request
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
FORBIDDEN_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]

Resource not found

object
error
string
Example
NOT_FOUND
message
string
Example
Resource not found
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
INTERNAL_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]